Package twisted :: Package spread :: Module flavors :: Class Serializable

[show private | hide private]
[frames | no frames]

## Class Serializable

    Jellyable --+
                |
               Serializable

Known Subclasses:
  `Referenceable`, `Copyable`, `Viewable`, `RemoteCache`, `RemoteReference`

An object that can be passed remotely.

I am a style of object which can be serialized by Perspective Broker. Objects which wish to be referenceable or copied remotely have to subclass Serializable. However, clients of Perspective Broker will probably not want to directly subclass Serializable; the Flavors of transferable objects are listed below.

What it means to be "Serializable" is that an object can be passed to or returned from a remote method. Certain basic types (dictionaries, lists, tuples, numbers, strings) are serializable by default; however, classes need to choose a specific serialization style: `Referenceable`, `Viewable`, `Copyable` or `Cacheable`.

You may also pass `[lists, dictionaries, tuples]` of `Serializable` instances to or return them from remote methods, as many levels deep as you like.

Method Summary
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| `jellyFor(self, jellier)` (inherited from `Jellyable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.

Method Details

### processUniqueID(self)

Return an ID which uniquely represents this object for this process.

By default, this uses the 'id' builtin, but can be overridden to indicate that two values are identity-equivalent (such as proxies for the same object).

Generated by Epydoc 1.1 on Thu May 8 13:16:53 2003 | http://epydoc.sf.net